%define upstream_name    Statistics-Descriptive
%define upstream_version 3.0604

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Module of basic descriptive statistical functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Statistics/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Benchmark)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides basic functions used in descriptive statistics. It has an
object oriented design and supports two different types of data storage and
calculation objects: sparse and full. With the sparse method, none of the data
is stored and only a few statistical measures are available. Using the full
method, the entire data set is retained and additional functions are available.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files 
%doc Changes META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Statistics
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 3.60.400-2.mga3
+ Revision: 372764
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 3.60.400-1.mga3
+ Revision: 286494
- update to 3.0604

* Tue Jun 05 2012 jquelin <jquelin> 3.60.300-1.mga3
+ Revision: 255466
- update to 3.0603

* Mon Mar 05 2012 jquelin <jquelin> 3.40.0-1.mga2
+ Revision: 218797
- update to 3.0400

* Thu Feb 23 2012 jquelin <jquelin> 3.30.0-1.mga2
+ Revision: 213178
- update to 3.0300

* Sat Nov 19 2011 takashi <takashi> 3.20.300-1.mga2
+ Revision: 169058
- update to 3.0203

  + jquelin <jquelin>
    - update to 3.0202

* Tue Jan 18 2011 jquelin <jquelin> 3.20.100-1.mga1
+ Revision: 22830
- cleaning spec file
- imported package perl-Statistics-Descriptive

